=== tools/Makefile ===
#
#   Makefile			(C) 2006, Aurélien Croc (AP²C)
# 

CXXFLAGS  	= -O0 -g

decompress: decompress.cpp

clean:
	$(RM) decompress
