=== src/Makefile ===
--- 
+++ 
@@ -4,21 +4,27 @@
 #  This project has been placed under the GPL Licence.
 #
 
-CXXFLAGS	+= -I../include -Wall -g -O0
-LDFLAGS		+= -lcups -lcupsimage
+CXXFLAGS	+= -I../include -Wall -g -O0 #-DENABLE_DEBUG
+LDFLAGS		+=
+LIBS		+= -lcups -lcupsimage
 
 OBJECTS		:= spl2.o printer.o band.o compress.o bandanalyser.o
 HEADERS		:= include/spl2.h include/document.h include/printer.h \
 		   include/error.h include/band.h include/raster.h \
 		   include/bandanalyser.h
 
+ifeq ($(DISABLE_JBIG),1)
+CXXFLAGS += -DDISABLE_JBIGUSE
+else
+LIBS += -ljbig
+endif
 
 all: rastertospl2
 rastertospl2: $(OBJECTS) rastertospl2.o raster.o
-	$(CXX) $(LDFLAGS) -o $@ $^
+	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)
 
 pbmtospl2: $(OBJECTS) pbmtospl2.o pbmimage.o
-	$(CXX) $(LDFLAGS) -o $@ $^
+	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)
 
 %.o: %.cpp $(HEADERS)
 	$(CXX) $(CXXFLAGS) -c $<
