## splix 2.0.0

=== ppd/Makefile ===
--- 
+++ 
@@ -8,14 +8,14 @@
 SOURCE		:= samsung.drv dell.drv xerox.drv
 DELL		:= 1100 1110
 SAMSUNG		:= clp500 clp550 clp510 clp610 ml1510 ml1520 ml1610 ml1630 \
-		   ml1710 ml1740 ml1750 ml2010 ml2150 ml2250 ml2251 ml2510 \
-		   ml2550 ml3050 ml3560
+		   ml1640 ml1710 ml1740 ml1750 ml2010 ml2150 ml2250 ml2251 \
+		   ml2510 ml2550 ml3050 ml3560 scx4200 scx4500
 XEROX		:= ph3115 ph3116 ph3117 ph3120 ph3121 ph3122 ph3130 ph3150 \
-		   ph3160 ph3420 ph3425 ph5500 ph6100
+		   ph3160 ph3420 ph3425 ph5500 ph6100 wc3119
 DRIVERSEXT	:= ppd
 POEXT		:= po
 PODIR		:= po
-LANGUAGES 	:= fr
+LANGUAGES 	:= fr pt
 ifeq ($(DISABLE_JBIG),0)
 SAMSUNG 	+= clp200 clp300 clp600 clx216x clx2170 clx3160
 XEROX		+= ph6110
