## splix 2.0.0+20110720

=== ppd/Makefile ===
--- 
+++ 
@@ -5,25 +5,31 @@
 #
 #
 
-SOURCE		:= samsung.drv dell.drv xerox.drv lexmark.drv
+SOURCE		:= samsung.drv dell.drv xerox.drv lexmark.drv toshiba.drv
 DELL		:= 1100 1110
 SAMSUNG		:= clp500 clp550 clp510 clp610 clp610nd ml1510 ml1520 ml1610 \
-		   ml1630 ml1640 ml1710 ml1740 ml1750 ml2010 ml2015 ml2150 \
-		   ml2240 ml2250 ml2251 ml2510 ml2550 ml2571 ml3050 ml3051 \
-		   ml3051nd ml3560 scx4100 scx4200 scx4216f scx4300 scx4500 \
-		   scx4521f sf565p
+		   ml1630 ml1640 ml1660 ml1710 ml1740 ml1750 ml1910 ml1915 \
+                   ml2010 ml2015 ml2150 ml2240 ml2250 ml2251 ml2510 ml2525 \
+                   ml2525w ml2550 ml2571 ml2580 ml2580n ml3050 ml3051 \
+		   ml3051nd ml3471nd ml3560 scx4100 scx4200 scx4216f scx4300 \
+		   scx4500 scx4521f scx4600 scx4623f scx4623fw scx5330n \
+		   scx5530fn sf565p
 XEROX		:= ph3115 ph3116 ph3117 ph3120 ph3121 ph3122 ph3124 ph3130 \
-		   ph3150 ph3160 ph3420 ph3425 ph5500 ph6100 wc3119 wcpe16
+		   ph3140 ph3150 ph3160 ph3420 ph3425 ph5500 ph6100 wc3119 \
+		   wcpe16 wcpe114e
 LEXMARK		:= x215mfp
+TOSHIBA		:= es180s
 DRIVERSEXT	:= ppd
 POEXT		:= po
 PODIR		:= po
 LANGUAGES 	:= fr pt
-ifeq ($(DISABLE_JBIG),0)
-SAMSUNG 	+= clp200 clp300 clp600 clx216x clx2170 clx3160
+# === MAKE ALL PPD BY DEFAULT ====
+ifneq ($(DISABLE_JBIG),1)
+SAMSUNG 	+= clp200 clp300 clp310 clp315 clp310n clp600 clx216x clx2170 \
+                   clx3160
 XEROX		+= ph6110
 endif
-DRIVERS		:= $(DELL) $(SAMSUNG) $(XEROX) $(LEXMARK)
+DRIVERS		:= $(DELL) $(SAMSUNG) $(XEROX) $(LEXMARK) $(TOSHIBA)
 
 # === DON'T CHANGE ANYTHING AFTER THIS MESSAGE ====
 
@@ -44,6 +50,7 @@
 	./compile.sh dell.drv -I . -d ./
 	./compile.sh xerox.drv -I . -d ./
 	./compile.sh lexmark.drv -I . -d ./
+	./compile.sh toshiba.drv -I . -d ./
 
 $(LANGDRIVERSEXT): $(SOURCE) $(patsubst %, $(PODIR)/%.$(POEXT), $(LANGUAGES))
 	lang=$(patsubst $(MASTERDRIVER)%.$(DRIVERSEXT),%, $@); \
@@ -61,9 +68,14 @@
 	for filename in ${DELL}; do \
 		recode utf8..latin1 ${PODIR}/$$lang/$$filename.${DRIVERSEXT}; \
 		mv ${PODIR}/$$lang/$$filename.${DRIVERSEXT} $$filename$$lang.${DRIVERSEXT}; \
-	done;
+	done; \
 	./compile.sh lexmark.drv -l $$lang -c ${PODIR}/$$lang.${POEXT} -d ${PODIR}/$$lang; \
 	for filename in ${LEXMARK}; do \
+		recode utf8..latin1 ${PODIR}/$$lang/$$filename.${DRIVERSEXT}; \
+		mv ${PODIR}/$$lang/$$filename.${DRIVERSEXT} $$filename$$lang.${DRIVERSEXT}; \
+	done; \
+	./compile.sh toshiba.drv -l $$lang -c ${PODIR}/$$lang.${POEXT} -d ${PODIR}/$$lang; \
+	for filename in ${TOSHIBA}; do \
 		recode utf8..latin1 ${PODIR}/$$lang/$$filename.${DRIVERSEXT}; \
 		mv ${PODIR}/$$lang/$$filename.${DRIVERSEXT} $$filename$$lang.${DRIVERSEXT}; \
 	done;
@@ -75,11 +87,13 @@
 	./compile.sh dell.drv lang $@
 	./compile.sh xerox.drv lang $@
 	./compile.sh lexmark.drv lang $@
+	./compile.sh toshiba.drv lang $@
 
 cmd_install_samsung	= INSTALL           Samsung PPD files
 cmd_install_xerox	= INSTALL           Xerox PPD files
 cmd_install_dell	= INSTALL           Dell PPD files
 cmd_install_lexmark	= INSTALL           Lexmark PPD files
+cmd_install_toshiba	= INSTALL           Toshiba PPD files
 .PHONY: install
 install:
 	$(call printCmd, $(cmd_install_samsung))
@@ -114,6 +128,14 @@
 			install -m 644 $$filename$$lang.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/lexmark;\
 		done; \
 	done;
+	$(call printCmd, $(cmd_install_toshiba))
+	$(Q)install -d -m 755 ${DESTDIR}${CUPSPPD}/toshiba
+	$(Q)for filename in ${TOSHIBA}; do \
+		install -m 644 $$filename.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/toshiba;\
+		for lang in ${LANGUAGES}; do \
+			install -m 644 $$filename$$lang.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/toshiba;\
+		done; \
+	done;
 
 .PHONY: clean distclean
 clean:
