=== debian/changelog ===
splix (2.0.0+svn293-1) unstable; urgency=low

  * Start tracking SVN trunk. (Closes: #594466)
  * Drop gcc-4.5_fix.patch (merged upstream).

 -- Luca Niccoli <lultimouomo@gmail.com>  Sun, 12 Jun 2011 15:35:15 +0200

splix (2.0.0-3) unstable; urgency=low

  * Adopt package: set myself as maintainer and remove Jeroen van Wolffelaar
    and Pablo Mazzini. Thanks for your work! (Closes: #617819)
  * Fix compilation with recent toolchain. (Closes: #565097)
  * Fix clean target that would sometimes enter an infinite loop.
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Luca Niccoli <lultimouomo@gmail.com>  Sun, 17 Apr 2011 19:29:05 +0200

splix (2.0.0-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix alignment to allow printing on ARM, thanks to Luca Niccoli.
    (Closes: #574349) 

 -- Philipp Kern <pkern@debian.org>  Sun, 03 Oct 2010 10:51:05 +0200

splix (2.0.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add optimized/pstoqpdl optimized/rastertoqpdl to dh_clean as proposed
    by Luca Niccoli (Closes: #574364)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 25 Mar 2010 15:05:49 +0100

splix (2.0.0-2) unstable; urgency=low

  * debian/splix.postinst, debian/control: Added post-install script to
    automatically update the PPD files of all existing print queues which
    use this driver to the current version. (Closes: #525822)
  * debian/control: Added "cups" to Depends: as a running CUPS daemon is needed
    for the automatic update of existing print queues.
  * debian/control: Added ghostscript-cups dependency.

 -- Pablo Mazzini <pmazzini@gmail.com>  Sat, 20 Jun 2009 11:04:16 -0300

splix (2.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/watch added
  * debian/compat: bump to 7
  * Bump Standards-Version to 3.8.1
  * droped dpatch together with upstream patches

 -- Pablo Mazzini <pmazzini@gmail.com>  Tue, 07 Apr 2009 10:44:14 -0200

splix (1.0.1-1.2) unstable; urgency=low

  * Non-maintainer upload to fix important usability bug.
  * Applied patch from upstream that corrects a bug for the ML-2010 
    printer.  Thanks to Pablo De Napoli for the patch. (Closes: #439817)  

 -- Margarita Manterola <marga@debian.org>  Sun, 12 Oct 2008 15:46:27 +0000

splix (1.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix Cups build-dependencies (Closes: #487042)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 23 Jun 2008 00:35:11 +0200

splix (1.0.1-1) unstable; urgency=low

  * Introduce Splix to Debian, based on Ubuntu package (thanks Till!)
    (Closes: #411167)
  * Added patch by Joost van Blokland to enable page logging
  * Fix debian/rules clean to also remove produced binary

 -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Sat,  2 Jun 2007 15:31:48 +0200

splix (1.0.1-0ubuntu1) feisty; urgency=low

  * New upstream release
     o Duplex support
     o Support for Xerox Phaser 6100
     o Bug fixes
  * Removed 10-fix-ppds.dpatch: PPDs fixed upstream
  * debian/rules: Removed PPDs for Samsung CLP-300 and CLP-600, these 
    printers are known to not work with this release of the driver.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  7 Feb 2007 10:44:10 +0000

splix (1.0.1~beta2-0ubuntu1) feisty; urgency=low

  * Initial Release.  (Closes: LP #59829)
  * Fixed PPD files
     o It must be "*LanguageVersion: German", not
       "*LanguageVersion: Deutsch".
     o The PPDs for the CLP-600 had "CLP-60" as model name.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 12 Dec 2006 12:00:00 +0100
