=== debian/control ===
Source: splix
Section: text
Priority: optional
Maintainer: Luca Niccoli <lultimouomo@gmail.com>
Build-Depends: debhelper (>= 7), libcupsimage2-dev
Standards-Version: 3.9.2
Homepage: http://splix.ap2c.org/

Package: splix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cups, cups-client, ghostscript-cups
Description: Driver for Samsung's SPL2 (bw) and SPLc (color) laser printers
 Support for printing to SPL2- and SPLc-based printers. These are most
 of the cheaper Samsung laser printers which do not understand standard
 languages like PostScript or PCL. Both monochrome (ML-15xx, ML-16xx,
 ML-17xx, ML-2xxx) and color (CLP-5xx, CLP-6xx) models are supported.
 Also some rebranded Samsungs like the Xerox Phaser 6100 work with this
 driver.
 .
 Note that older SPL1-based models (ML-12xx, ML-14xx) do not work. Use
 these printers with the older "gdi" driver which is built into
 GhostScript.
