## splix 2.0.0+svn299

=== ppd/Makefile ===
--- 
+++ 
@@ -15,16 +15,18 @@
 		   scx4500 scx4521f scx4600 scx4623f scx4623fw scx5330n \
 		   scx5530fn sf565p
 XEROX		:= ph3115 ph3116 ph3117 ph3120 ph3121 ph3122 ph3124 ph3130 \
-		   ph3150 ph3160 ph3420 ph3425 ph5500 ph6100 wc3119 wcpe16 \
-		   wcpe114e
+		   ph3140 ph3150 ph3155 ph3160 ph3420 ph3425 ph5500 ph6100 \
+		   wc3119 wcpe16 wcpe114e
 LEXMARK		:= x215mfp
 TOSHIBA		:= es180s
 DRIVERSEXT	:= ppd
 POEXT		:= po
 PODIR		:= po
 LANGUAGES 	:= fr pt
-ifeq ($(DISABLE_JBIG),0)
-SAMSUNG 	+= clp200 clp300 clp310n clp600 clx216x clx2170 clx3160
+# === MAKE ALL PPD BY DEFAULT ====
+ifneq ($(DISABLE_JBIG),1)
+SAMSUNG 	+= clp200 clp300 clp310 clp315 clp310n clp600 clx216x clx2170 \
+                   clx3160
 XEROX		+= ph6110
 endif
 DRIVERS		:= $(DELL) $(SAMSUNG) $(XEROX) $(LEXMARK) $(TOSHIBA)
