=== debian/changelog ===
splix (2.0.0+svn299-2) unstable; urgency=low

  * install splix.ppd-updater in printer-driver-splix, not in splix.
    (Closes: #649536)

 -- Luca Niccoli <lultimouomo@gmail.com>  Fri, 25 Nov 2011 00:06:12 +0100

splix (2.0.0+svn299-1) unstable; urgency=low

  * Import r299 from SVN.
  * Rename splix to printer-driver-splix. (Closes: #647534)
  * Replace postinst with a ppd-updater trigger (Closes: #647536)
    Thanks to Didier Raboud for the reports and the patches.

 -- Luca Niccoli <lultimouomo@gmail.com>  Mon, 14 Nov 2011 19:58:32 +0100
