=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,8 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	$(MAKE) DESTDIR=$(CURDIR)/debian/splix CUPSPPD=/usr/share/ppd/splix DISABLE_JBIG=1 install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/printer-driver-splix CUPSPPD=/usr/share/ppd/splix DISABLE_JBIG=1 install
+	install -D --mode=644 debian/splix.ppd-updater $(CURDIR)/debian/printer-driver-splix/usr/share/ppd-updaters/splix.ppd-updater
 
 # Build architecture-dependent files here.
 binary-arch: install
