=== debian/changelog ===
splix (2.0.0+svn300-1) unstable; urgency=low

  * New upstream version: added support for Samsung SCX-3200, rebuilt PPDs
    with CUPS 1.5.0
  * splix.ppd-updater belongs in /use/share/cups/ppd-updaters/,  not in
    /usr/share/ppd-updaters/ (Closes: #649536)

 -- Luca Niccoli <lultimouomo@gmail.com>  Sat, 10 Dec 2011 19:23:06 +0100
