=== debian/control ===
--- 
+++ 
@@ -10,8 +10,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, cups (>= 1.5.0-3~),
  cups-client, ghostscript-cups
-Replaces: splix (<= 2.0.0+svn299-1)
-Breaks: splix (<= 2.0.0+svn299-1)
 Description: Driver for Samsung and Xerox SPL2 and SPLc laser printers
  Support for printing to SPL2- and SPLc-based printers. These are most
  of the cheaper Samsung laser printers which do not understand standard
