=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) DESTDIR=$(CURDIR)/debian/printer-driver-splix CUPSPPD=/usr/share/ppd/splix DISABLE_JBIG=1 install
-	install -D --mode=644 debian/splix.ppd-updater $(CURDIR)/debian/printer-driver-splix/usr/share/ppd-updaters/splix.ppd-updater
+	install -D --mode=644 debian/splix.ppd-updater $(CURDIR)/debian/printer-driver-splix/usr/share/cups/ppd-updaters/splix.ppd-updater
 
 # Build architecture-dependent files here.
 binary-arch: install
